#include "TestFramework.h"

#include "CommandLineArgs.h"

#ifdef _WIN32
#include <windows.h>
#endif

//int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, PWSTR pCmdLine, int nCmdShow)
int main(int argc, char *argv[])
{
#ifdef _WIN32
    CoInitializeEx(nullptr, COINIT_APARTMENTTHREADED);
#endif

    auto args = CommandLineArgs::Create();
    args->process(argc, argv);

    TestCaseRunner::getInstance().run(args->getUserArgs());

#ifdef _WIN32
    CoUninitialize();
#endif
    return 0;
}
